//传进来id
//文本上下滚动
function UpScroll(DivName){
	var obj = $("#"+DivName);
	var left=$("#"+DivName+" .left");
	var right=$("#"+DivName+" .right");
    var theBox=obj.find("dl").eq(0);
    var theChild=obj.find("dl dd");
    var num=theChild.length;
    //if(num<3) return false;//2个以下不滚动
    var theChildHeight=theChild.eq(0).outerHeight(true);
    var speed=3000;
	var timmer=setInterval(pre,speed);
	obj.find(".list").hover(function() {clearInterval(timmer);},function() {timmer=setInterval(pre,speed);});
	//显示下一个
	right.click(function(){
            clearInterval(timmer);
            pre();
            timmer=setInterval(pre,speed);
		})
	//显示上一个
	left.click(function(){
        clearInterval(timmer);
        next();
        timmer=setInterval(next,speed);
	})

	function pre(){
		var self = obj.find("dl:first");
		var temp = self.find("dd:first").outerHeight(true);
		//滚动完把第一个放在最后一个
		self.stop(true,true).animate({ "margin-top" : -temp +"px" },600 , function(){
			self.css({"margin-top":"0px"}).find("dd:first").appendTo(self);
		}) 
	}
	
	function next(){
		var self = obj.find("dl:first")
		//先找到第一个然后再滚动
		var temp = self.find("dd:first").outerHeight(true);
		self.css({"margin-top":-temp+"px"});
		self.find("dd:last").prependTo(self);
		self.stop(true,true).animate({ "margin-top" : 0 +"px" },600 ) ;
	}
}